#
#include <First.h>
template<class T>
SpreadClass struct

A class forward-declared in one file but defined in another.

Because Doxygen is stupid, it reports the class to be defined in First.h even though there's just a fwdecl. Happens only if the class is a template, a non-templated class would have its location reported correctly.

If includes are enabled, members should have Second.h listed as their include, but if they are disabled, brief-only members shouldn't have detailed sections at all.

## Public functions

void foo()
  A function with (detailed) include information but no details if includes are disabled.

## Function documentation

###
#include <Second.h>
template<class T>
void SpreadClass<T>::foo()

A function with (detailed) include information but no details if includes are disabled.